#!/usr/bin/env python

# This file is part of Window-Switch.
# Copyright (c) 2009-2013 Antoine Martin <antoine@nagafix.co.uk>
# Window-Switch is released under the terms of the GNU GPL v3

import os.path
from winswitch.net.conch_util import ConchFactory

USER = os.environ.get("USER")
PASSWORD = "blah2"
KEY_PASSPHRASE = "pass"
KEY = os.path.expanduser("~/.ssh/id_rsa")
PUB_KEY = KEY+".pub"
HOST_FINGERPRINT = "ae:5b:fd:e9:c0:00:58:cc:d9:12:95:20:b1:f1:c1:f3"

def make_factory(host, port):
	return	ConchFactory(USER, PASSWORD, host, port, PUB_KEY, KEY, KEY_PASSPHRASE, HOST_FINGERPRINT)
